QUESTION_SEP = '++' # Separates questions in quiz and quiz-answers
ANSWER_SEP = '*' * 10 # Separates each student in quiz-answers
NO_ANSWER = '-=Not Answered=-'
PREFIX = 'quizzes/' # Where to find quiz*.txt files

import datetime
import cgi

def read_dates (f):
  '''quiz files start with two lines of three integers each.
  The first gives starting time for quiz availability,
  the second gives the time of quiz expiration.'''
  
  year, month, day, hour, min = f.readline().split()
  start = datetime.datetime (int(year), int(month), int(day), int(hour), int(min))
  year, month, day, hour, min = f.readline().split()
  due = datetime.datetime (int(year), int(month), int(day), int(hour), int(min))
  expired = due < datetime.datetime.now()
  available = start < datetime.datetime.now()
  return due, expired, available

def read_question (f, line):
  question = ''
  while line and line.strip() != QUESTION_SEP:
    question += line
    line = f.readline()
  return question
