#!/local/bin/python2.4

import os, cgi, sys, datetime
from iofuncs import *

sys.stderr=sys.stdout


def dump_identify():
  '''Code to get student number and identify quiz.'''
  
  text = """
    <table border=2>
    <tr>
    <td colspan="2" align="center">
    <b>Your Information</b>
    </td>
    </tr>
    <tr>
    <td align='right'>Student number:</td>
    <td><input type='text' name='student_no' /></td>
    </tr>
    <p>Please answer the following questions to complete the reading quiz.</p>
  """
  print text

def dump_question (q, question_no):
  print '<h2>Question ' + question_no + '</h2>'
  print "<p>" + q + "</p>"
  print "<textarea name='question" + question_no + "' rows=6 cols = 60></textarea>"
  print "<hr>"


header = """Content-type: text/html


<html>
  <head>
    <title>Reading Quiz</title>
  </head>
  """

print header

print '  <body>'
form = cgi.FieldStorage()
if 'quiz' in form:
  quiz_no = form['quiz']
else:
  print '<h1>Error! No quiz number given.</h1>'
  print '</body>'
  print '</html>'
  sys.exit (2)

number = quiz_no.value

print '<h1>Reading Quiz ' + number + '</h1>'

f = open (PREFIX + 'quiz' + number + '.txt')
due, expired, available = read_dates (f)
if expired:
  print '<h1><b>Expired quiz! You can view the questions, but can no longer submit your answers.</b></h1>'
elif not available:
  print '<h1><b>Quiz not available!</b></h1>'
  sys.exit (1)
else:
  date_format = "%A, %B %d; %I:%M %p"
  
  print '<h1><b>Quiz due: ' + due.strftime (date_format) + '</b></h1>'
  print "<form method='post' action='quiz-submit.cgi'>"
  print "<input type='hidden' name='quiz' value='" + str(number) + "'/>"
  dump_identify()

question_no = 1
line = f.readline()
while line:
  q =   read_question(f, line)
  dump_question (q, str(question_no))
  line = f.readline()
  question_no += 1
if not expired:
  print "<input type='submit' value='Submit' />"
  print "</form>"
