#!/local/bin/python2.4

import os, cgi, sys, datetime
from iofuncs import *

sys.stderr=sys.stdout

print """Content-type: text/html


<html><head><title>Reading Quiz: Submission</title></head>
<body>
"""

form = cgi.FieldStorage()

if (not 'student_no' in form) or (not form['student_no'].value.isdigit()):
  print '<h1>Error! Bad student number given. Please go back and add your student number before submitting your answers.</h1>'
  print '</body>'
  print '</html>'
  sys.exit (0)

quiz_no = form['quiz']
number = quiz_no.value

f = open (PREFIX + 'quiz' + number + '.txt')
due, expired, available = read_dates (f)
if expired or not available:
  print '<h1><b>Error! Expired quiz!</b></h1>'
  print '</body>'
  print '</html>'
  sys.exit (0)


print '<h1>Reading Quiz: Submission Results</h1>'
print '<p>Here is what you have submitted for your reading quiz. Please keep a copy of this page for your records.</p>'

print '<pre>'
print 'Reading quiz number: ' + str(number)
student_number = form['student_no'].value
print 'Student number: ' + student_number
path = PREFIX + 'quiz' + number + '-answers.txt'
g = open (path, 'a')
g.write (ANSWER_SEP + '\n')
g.write (student_number + '\n')

question_no = 1
line = f.readline()
while line:
  q =   read_question(f, line)
  print str(question_no) + '. ' + q
  k = 'question' + str(question_no)
  if k in form and form[k].value.strip():
    form_value = form[k].value
  else:
    form_value = NO_ANSWER
  g.write (form_value + '\n')
  g.write (QUESTION_SEP + '\n')
  print cgi.escape(form_value)

  line = f.readline().strip()
  question_no += 1

g.close()
os.chmod(path, 0740)
f.close()
print '</pre>'
print '</body>'
print '</html>'
